Bug 6362 - mips-irix6 gcc-3.1 C testsuite failure with -mips4 in compile/920501-4.c
mips-irix6 gcc-3.1 C testsuite failure with -mips4 in compile/920501-4.c
Status: RESOLVED FIXED
Product: gcc
Classification: Unclassified
Component: target
3.1
: P3 normal
: ---
Assigned To: Eric Christopher
: ice-on-valid-code
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-18 09:56 UTC by Kaveh Ghazi
Modified: 2003-07-25 17:33 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kaveh Ghazi 2002-04-18 09:56:01 UTC
When I run the testsuite with -mips4, I get this additional failure:

 > FAIL: gcc.c-torture/compile/920501-4.c,  -O1  

See: http://gcc.gnu.org/ml/gcc-testresults/2002-04/msg00671.html

When I compile it by hand, I get:
 > xgcc -mips4 -c -O 920501-4.c
 > 920501-4.c: In function `foo':
 > 920501-4.c:49: Internal compiler error in gen_reload_outcc, at insn-emit.c:7493

This failure does not occur with e.g. gcc-2.8.1

Release:
3.1 20020417

Environment:
mips-sgi-irix6.2 native as/ld
Comment 1 Kaveh Ghazi 2002-09-29 08:05:32 UTC
Responsible-Changed-From-To: unassigned->echristo
Responsible-Changed-Why: with permission
Comment 2 Kaveh Ghazi 2002-10-02 06:32:56 UTC
State-Changed-From-To: open->closed
State-Changed-Why: Fixed in 3.3 20021001 by:
    http://gcc.gnu.org/ml/gcc-patches/2002-09/msg01492.html